# Delete content from your pod

```{warning}
Deleting content from your pod deletes the files from the server. Deleting objects like channels and libraries deletes all associated content. This action is irreversible.
```

Moderators can delete content from their {term}`pod` if required. Use this feature to handle content that violates your pod's rules.

```{dropdown} Required permissions
- {guilabel}`Moderation` – provides access to the administration menu.
- {guilabel}`Library` – provides access to the library menu.
```

There are two ways to delete content:

```{contents}
:local:
```

## Delete individual objects

If you want to delete a specific object:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Library`. The {guilabel}`Edits` page opens.
4. Select the type of content you want to delete from the top of the page:
   - {guilabel}`Channels`
   - {guilabel}`Artists`
   - {guilabel}`Albums`
   - {guilabel}`Tracks`
   - {guilabel}`Libraries`
   - {guilabel}`Uploads`
   - {guilabel}`Tags`
5. Use the filters on the content page to find the object you want to delete.
6. Select the object to go to its moderation page.
7. Select {guilabel}`Delete`. A {guilabel}`Delete this {object}` warning appears.
8. Select {guilabel}`Delete`.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Library`. The {guilabel}`Edits` page opens.
4. Select the type of content you want to delete from the top of the page:
   - {guilabel}`Channels`
   - {guilabel}`Artists`
   - {guilabel}`Albums`
   - {guilabel}`Tracks`
   - {guilabel}`Libraries`
   - {guilabel}`Uploads`
   - {guilabel}`Tags`
5. Use the filters on the content page to find the object you want to delete.
6. Select the object to go to its moderation page.
7. Select {guilabel}`Delete`. A {guilabel}`Delete this {object}` warning appears.
8. Select {guilabel}`Delete`.

```

That's it! You've deleted the object.

## Delete objects in bulk

To delete several items at once:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Library`. The {guilabel}`Edits` page opens.
4. Select the type of content you want to delete from the top of the page:
   - {guilabel}`Channels`
   - {guilabel}`Artists`
   - {guilabel}`Albums`
   - {guilabel}`Tracks`
   - {guilabel}`Libraries`
   - {guilabel}`Uploads`
   - {guilabel}`Tags`
5. Use the filters on the content page to find the object you want to delete.
6. Select the checkbox ({fa}`square`) next to the objects you want to delete. Selected objects show a tick ({fa}`check-square`).
7. Select {guilabel}`Delete` in the {guilabel}`Actions` dropdown.
8. Select {guilabel}`Go`. A {guilabel}`Do you want to launch delete on {count} items` warning appears.
9. Select {guilabel}`Launch`.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Library`. The {guilabel}`Edits` page opens.
4. Select the type of content you want to delete from the top of the page:
   - {guilabel}`Channels`
   - {guilabel}`Artists`
   - {guilabel}`Albums`
   - {guilabel}`Tracks`
   - {guilabel}`Libraries`
   - {guilabel}`Uploads`
   - {guilabel}`Tags`
5. Use the filters on the content page to find the object you want to delete.
6. Select the checkbox ({fa}`square`) next to the objects you want to delete. Selected objects show a tick ({fa}`check-square`).
7. Select {guilabel}`Delete` in the {guilabel}`Actions` dropdown.
8. Select {guilabel}`Go`. A {guilabel}`Do you want to launch delete on {count} items` warning appears.
9. Select {guilabel}`Launch`.

```

You're done! You've deleted the selected objects from your pod.
