# Purge domain data

```{warning}
Purging a domain's data removes all objects and caches associated to that domain. This impacts users who have objects from these domains in their libraries.
```

When users follow content from another domain that content is visible on your {term}`pod`. If a domain hosts illegal or offensive content you can purge the content associated with it.

```{dropdown} Required permissions
- {guilabel}`Moderation` – provides access to the administration and moderation menus.
```

To purge content from a domain:

```{tabbed} Desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Select the checkbox ({fa}`square`) next to the domain(s) you want to purge. Selected domains show a tick ({fa}`check-square`).
6. Select {guilabel}`Purge` in the {guilabel}`Actions` dropdown.
7. Select {guilabel}`Go`. A {guilabel}`Do you want to launch purge on {count} items` warning appears.
8. Select {guilabel}`Launch`.

```

```{tabbed} Mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Select the checkbox ({fa}`square`) next to the domain(s) you want to purge. Selected domains show a tick ({fa}`check-square`).
6. Select {guilabel}`Purge` in the {guilabel}`Actions` dropdown.
7. Select {guilabel}`Go`. A {guilabel}`Do you want to launch purge on {count} items` warning appears.
8. Select {guilabel}`Launch`.

```

You're done! Your pod clears all the content associated with the selected domains.
