# Edit a moderation rule

```{warning}
Purging a user's data removes all objects and caches associated to that user. This impacts users who have objects from these users in their libraries.
```

You can change a moderation rule on a user at any time.

```{dropdown} Required permissions
- {guilabel}`Moderation` – provides access to the administration and moderation menus.
```

To update an existing moderation rule:

```{tabbed} Desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Users` at the top of the page. The {guilabel}`Users` page opens. You can see a list of known users on this page.
5. Select the user with the moderation rule you want to edit. The user's moderation page opens.
6. Select {guilabel}`Edit` under the {guilabel}`This user is subject to specific moderation rules` header. The moderation policy form opens.
7. __Optional__ – Edit the following settings:
   - {guilabel}`Enabled` – toggle this switch to enable or disable the rule without deleting it.
   - {guilabel}`Reason` – update the reason for the moderation rule.
8. __Optional__ – Update your moderation rule:
   - {guilabel}`Block everything` – purge all content from this user and block all content.
   - {guilabel}`Reject media` – only reject media files such as audio files, avatars, and album art.
9. Select {guilabel}`Update` to save your rule.

```

```{tabbed} Mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Users` at the top of the page. The {guilabel}`Users` page opens. You can see a list of known users on this page.
5. Select the user with the moderation rule you want to edit. The user's moderation page opens.
6. Select {guilabel}`Edit` under the {guilabel}`This user is subject to specific moderation rules` header. The moderation policy form opens.
7. __Optional__ – Edit the following settings:
   - {guilabel}`Enabled` – toggle this switch to enable or disable the rule without deleting it.
   - {guilabel}`Reason` – update the reason for the moderation rule.
8. __Optional__ – Update your moderation rule:
   - {guilabel}`Block everything` – purge all content from this user and block all content.
   - {guilabel}`Reject media` – only reject media files such as audio files, avatars, and album art.
9. Select {guilabel}`Update` to save your rule.

```

You're done! The changes to the rule take effect as soon as you update it.
