# Handle user registrations

{term}`Pod` admins can enable manual sign-up validation. This setting requires moderators to approve or refuse account creations.

```{dropdown} Required permissions
- {guilabel}`Moderation` – provides access to the administration and moderation menus.
```

Requests appear in the {guilabel}`User Requests` list. Each request contains the following information:

- The user the request was {guilabel}`Submitted by`
- The {guilabel}`Creation date` of the request.
- __Optional__ – any responses the user left to fields in the sign-up form.
- The {guilabel}`Status` of the request.
- Which moderator the request is {guilabel}`Assigned to`.
- The {guilabel}`Resolution date` of the request.
- Any {guilabel}`Internal notes` left by the moderators.

```{contents}
:local:
```

## Approve a sign-up request

To approve a sign-up request:

```{tabbed} Desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`User Requests` at the top of the screen. A list of pending requests appears.
5. Read through the details of the request. 
6. Select {guilabel}`Approve` in the {guilabel}`Actions` section.

```

```{tabbed} Mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`User Requests` at the top of the screen. A list of pending requests appears.
5. Read through the details of the request. 
6. Select {guilabel}`Approve` in the {guilabel}`Actions` section.

```

That's it! You've approved the user's sign-up request. The user can now log in.

## Refuse a sign-up request

To refuse a sign-up request:

```{tabbed} Desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`User Requests` at the top of the screen. A list of pending requests appears.
5. Read through the details of the request. 
6. Select {guilabel}`Refuse` in the {guilabel}`Actions` section.

```

```{tabbed} Mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`User Requests` at the top of the screen. A list of pending requests appears.
5. Read through the details of the request. 
6. Select {guilabel}`Refuse` in the {guilabel}`Actions` section.

```

That's it! You've refused the user's sign-up request. The user can't log in to your pod.
