# Delete content from an Artist channel

You can delete content from your artist channel. This means that your followers won't be able to listen to the deleted content any more.

```{contents}
:local:
```

## Delete a track

```{warning}
Deleting a track also deletes the file from your {term}`Funkwhale pod <Pod>`. This action is irreversible.
```

To delete a single track from a channel:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) next to the track in question. This opens the track options menu.
6. Select {guilabel}`ℹ︎ Track details`. The track details page opens.
7. Select the kebab menu ({fa}`ellipsis-v`) at the top of the page.
8. Select {guilabel}`Delete…`. A {guilabel}`Delete this track?` warning appears.
9. Select {guilabel}`Delete` to delete the track.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) next to the track in question. This opens the track options menu.
6. Select {guilabel}`ℹ︎ Track details`. The track details page opens.
7. Select the kebab menu ({fa}`ellipsis-v`) at the top of the page.
8. Select {guilabel}`Delete…`. A {guilabel}`Delete this track?` warning appears.
9. Select {guilabel}`Delete` to delete the track.

```

That's it! You've deleted your track. You can add it again by [uploading it to your channel](upload_artist.md).

## Delete an album

```{warning}
Deleting an album also deletes all tracks in the album and removes the files from the server. This action is irreversible.
```

Delete an album to remove all tracks it contains. To do this:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select your album in the {guilabel}`Albums` section. The album detail page opens.
6. Select the kebab menu ({fa}`ellipsis-v`) to open the options menu.
7. Select {guilabel}`Delete…`. A {guilabel}`Delete this album?` warning appears.
8. Select {guilabel}`Delete` to delete the album.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel containing the content under the {guilabel}`Channels` header. The channel's page opens.
5. Select your album in the {guilabel}`Albums` section. The album detail page opens.
6. Select the kebab menu ({fa}`ellipsis-v`) to open the options menu.
7. Select {guilabel}`Delete…`. A {guilabel}`Delete this album?` warning appears.
8. Select {guilabel}`Delete` to delete the album.

```

You're done! You've deleted the album and all the tracks it contained. You can add them again by [uploading it to your channel](upload_artist.md).
