# Remove tracks from your favorites

If you no longer want a track in your favorites list, you can remove it. There are a few ways to do this.

```{contents}
:local:
```

## Remove tracks from your favorites page

The easiest way to remove tracks from your favorites is using the __Favorites__ page. This page includes a list of all your favorites. To remove a track from this page:

```{tabbed} Desktop

1. Select {guilabel}`Favorites` under the {guilabel}`My Library` section in the sidebar. The {guilabel}`Favorites` page opens.
2. Use the filters to find the track you want to remove.
3. Select the pink heart icon ({fa}`heart`) next to the track you want to remove. The heart turns gray to show that the track isn't in your favorites.

```

```{tabbed} Mobile

1. Select the hamburger menu ({fa}`bars`) to open the menu bar.
2. Select {guilabel}`My Library`.
3. Select {guilabel}`Favorites`. The {guilabel}`Favorites` page opens.
4. Use the filters to find the track you want to remove.
5. Tap on the kebab menu ({fa}`ellipsis-v`) on the track row. The track menu opens.
6. Select {guilabel}`Remove from favorites`. The heart turns gray to show that the track isn't in your favorites.

```

That's all there is to it! You've removed the track from your favorites.

## Remove the currently playing track from your favorites

If you favorited the current track and want to remove it from your favorites, do one of the following:

```{tabbed} Desktop

- Select the pink heart icon ({fa}`heart`) on the player bar. The heart turns gray to show that the track isn't in your favorites.
- Hit the {kbd}`l` key on your keyboard. The heart icon on the player turns gray to show that the track isn't in your favorites.

```

```{tabbed} Mobile

- Select the player at the bottom of the screen to expand it. Select the pink heart icon ({fa}`heart`) under the track art. The heart turns gray to show that the track isn't in your favorites.

```

That's it! You've removed the currently playing track from your favorites.

## Remove a track from a track table

You can remove tracks on track tables from your favorites. You can find track tables on artist pages, album pages, and the search page. To remove a track on a track table from your favorites:

```{tabbed} Desktop

1. Find your track in a track table.
2. A pink heart icon ({fa}`heart`) shows next to all tracks in your favorites.
3. Select the heart icon on the track you want to remove. The heart turns gray to show that the track isn't in your favorites.

```

```{tabbed} Mobile

1. Find your track in a track table.
2. Tap on the kebab menu ({fa}`ellipsis-v`) on the track row. The track menu opens.
3. Select {guilabel}`Remove from favorites`. The heart turns gray to show that the track isn't in your favorites.

```

You're done! You've removed the track from your favorites.

## Remove a track from the track details page

You can remove a track from your favorites from its details page. To do this:

1. Go to the track's details page.
2. Select the pink heart icon ({fa}`heart`) at the top of the screen. The heart turns gray to show that the track isn't your favorites.

That's it! You've removed the track from your favorites.
