# Edit library content

```{note}
You can only edit content in libraries you own. {term}`Pod` admins can edit all content.
```

You can edit library content after you have uploaded it. This is helpful if the content isn't [tagged](tag_music).

```{contents}
:local:
```

## Edit artist

To edit an artist:

```{tabbed} Desktop

1. Search for the artist in the sidebar or go to the {guilabel}`Artists` page in {guilabel}`My Library` and search there.
2. Select the artist you want to edit. The artist details page opens.
3. Select the {guilabel}`More…` button. The artist options menu opens.
4. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this artist` screen opens.
5. Change the details in any of these fields:
   - {guilabel}`Name` – the name of the artist.
   - {guilabel}`Description` – a description of the artist. This appears on the artist details page.
   - {guilabel}`Cover` – the cover image for the artist. This appears on the artist details page.
   - {guilabel}`Tags` – the genre(s) the artist fits in.
6. __Optional__ – enter a {guilabel}`Summary` of your edits.
7. Select {guilabel}`Submit and apply edit` to save your changes.

```

```{tabbed} Mobile

1. Select the hamburger menu ({fa}`bars`) to open the menu bar.
2. Use the search bar to search for your artist. You can also select {menuselection}`My Library --> Artists` to open the artist search page.
3. Select the artist you want to edit. The artist details page opens.
4. Select the {guilabel}`More…` button. The artist options menu opens.
5. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this artist` screen opens.
6. Change the details in any of these fields:
   - {guilabel}`Name` – the name of the artist.
   - {guilabel}`Description` – a description of the artist. This appears on the artist details page.
   - {guilabel}`Cover` – the cover image for the artist. This appears on the artist details page.
   - {guilabel}`Tags` – the genre(s) the artist fits in.
7. __Optional__ – enter a {guilabel}`Summary` of your edits.
8. Select {guilabel}`Submit and apply edit` to save your changes.

```

That's it! You've edited the artist's details. You can see these details by visiting the artist page.

## Edit album

To edit an album:

```{tabbed} Desktop

1. Search for the album in the sidebar or go to the {guilabel}`Albums` page in {guilabel}`My Library` and search there.
2. Select the album you want to edit. The album details page opens.
3. Select the kebab menu ({fa}`ellipsis-v`) to show the album options.
4. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this album` screen opens.
5. Change the details in any of these fields:
   - {guilabel}`Title` – the title of the album.
   - {guilabel}`Description` – a description of the album. This appears on the album details page.
   - {guilabel}`Release date` – the release date of the album.
   - {guilabel}`Cover` – the album cover art.
   - {guilabel}`Tags` – the genre(s) associated with the album.
6. __Optional__ – enter a {guilabel}`Summary` of your edits.
7. Select {guilabel}`Submit and apply edit` to save your changes.

```

```{tabbed} Mobile

1. Select the hamburger menu ({fa}`bars`) to open the menu bar.
2. Use the search bar to search for your album. You can also select {menuselection}`My Library --> Albums` to open the album search page.
3. Select the album you want to edit. The album details page opens.
4. Select the kebab menu ({fa}`ellipsis-v`) to show the album options.
5. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this album` screen opens.
6. Change the details in any of these fields:
   - {guilabel}`Title` – the title of the album.
   - {guilabel}`Description` – a description of the album. This appears on the album details page.
   - {guilabel}`Release date` – the release date of the album.
   - {guilabel}`Cover` – the album cover art.
   - {guilabel}`Tags` – the genre(s) associated with the album.
7. __Optional__ – enter a {guilabel}`Summary` of your edits.
8. Select {guilabel}`Submit and apply edit` to save your changes.

```

That's it! You've edited the album's details. You can see these details by visiting the album page.

## Edit track

To edit a track:

```{tabbed} Desktop

1. Search for the track in the sidebar.
2. Select the track you want to edit. The track details page opens.
3. Select the kebab menu ({fa}`ellipsis-v`) to show the track options.
4. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this track` screen opens.
5. Change the details in any of these fields:
   - {guilabel}`Title` – the title of the track.
   - {guilabel}`Description` – a description of the track. This appears on the track details page.
   - {guilabel}`Cover` – the track cover art. This appears on the track details page.
   - {guilabel}`Position` – the position of the track in its album.
   - {guilabel}`Copyright` – the name of the copyright holder.
   - {guilabel}`License` – the license of the track. Funkwhale supports [Creative Commons](https://creativecommons.org) licenses. Leave this blank if you aren't sure.
   - {guilabel}`Tags` – the genre(s) associated with the track.
6. __Optional__ – enter a {guilabel}`Summary` of your edits.
7. Select {guilabel}`Submit and apply edit` to save your changes.

```

```{tabbed} Mobile

1. Select the hamburger menu ({fa}`bars`) to open the menu bar.
2. Use the search bar to search for your track.
3. Select the track you want to edit. The track details page opens.
4. Select the kebab menu ({fa}`ellipsis-v`) to show the track options.
5. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this track` screen opens.
6. Change the details in any of these fields:
   - {guilabel}`Title` – the title of the track.
   - {guilabel}`Description` – a description of the track. This appears on the track details page.
   - {guilabel}`Cover` – the track cover art. This appears on the track details page.
   - {guilabel}`Position` – the position of the track in its album.
   - {guilabel}`Copyright` – the name of the copyright holder.
   - {guilabel}`License` – the license of the track. Funkwhale supports [Creative Commons](https://creativecommons.org) licenses. Leave this blank if you aren't sure.
   - {guilabel}`Tags` – the genre(s) associated with the track.
7. __Optional__ – enter a {guilabel}`Summary` of your edits.
8. Select {guilabel}`Submit and apply edit` to save your changes.

```

That's it! You've edited the track's details. You can see these details by visiting the track details page.
